%global upstream_name txamqp

Name:           python-%{upstream_name}
Version:        0.7.0
Release:        3%{?dist}
Summary:        A Python library for communicating with AMQP peers and brokers using Twisted

License:        ASL 2.0
URL:            https://github.com/txamqp/txamqp
Source0:        https://files.pythonhosted.org/packages/source/t/txAMQP/txAMQP-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
Requires:       python2-twisted
Requires:       amqp

%description
txAMQP is a Python library for communicating with AMQP peers and brokers using
Twisted.

This project contains all the necessary code to connect, send and receive
messages to/from an AMQP-compliant peer or broker (Qpid, OpenAMQ, RabbitMQ)
using Twisted.

%package        thrift
Summary:        Contributed Thrift libraries for Twisted
Requires:       %{name} = %{version}-%{release}
Requires:       python2-thrift

%description    thrift
txAMQP also includes support for using Thrift RPC over AMQP in Twisted
applications.

%prep
%setup -q -n txAMQP-%{version}
# Fix non-executable-script error
sed -i '/^#!\/usr\/bin\/env python/,+1 d' src/txamqp/codec.py

%build
%{py2_build}

%install
%{py2_install}

%files
%doc LICENSE
%{python2_sitelib}/%{upstream_name}
%exclude %{python2_sitelib}/%{upstream_name}/contrib/thrift
%{python2_sitelib}/txAMQP-%{version}-*.egg-info

%files thrift
%{python2_sitelib}/%{upstream_name}/contrib/thrift

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Apr 03 2017 Dan Callaghan <dcallagh@redhat.com> - 0.7.0-2
- Fix dependency on python2-twisted

* Fri Mar 31 2017 Dan Callaghan <dcallagh@redhat.com> - 0.7.0-1
- Upstream bug fix release 0.7.0

* Fri Mar 31 2017 Dan Callaghan <dcallagh@redhat.com> - 0.6.2-6
- Fix dependency on python2-thrift

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 09 2015 Dan Callaghan <dcallagh@redhat.com> - 0.6.2-1
- Fragment body if the content frame exceeds the negotiated max fram length.
- Use AMQPLAIN by default.
- Added method callback to catch channel_close errors.
- Added MANIFEST.in file with LICENSE.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Dec 27 2012 Silas Sewell <silas@sewell.org> - 0.6.1-1
- Update to 0.6.1

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Sep 12 2010 Silas Sewell <silas@sewell.ch> - 0.3-1
- Initial build
